Page MenuHomeMiraheze

Configure Namespaces with ManageWiki
Closed, ResolvedPublic

Description

This is a tough one, but namespaces are one of the most popular requests, which is currently done by volunteers.

It would be very nice if we could also implement this with ManageWiki, but it won't be easy, since something to allow users to input multiple things needs to be added.

Event Timeline

Reception123 triaged this task as Low priority.
Reception123 moved this task from Backlog to Features on the ManageWiki board.Jul 31 2018, 05:43
Paladox added a subscriber: Paladox.Aug 3 2018, 14:02
Paladox raised the priority of this task from Low to Normal.Sep 15 2018, 14:20
Paladox assigned this task to John.
Paladox added a subscriber: John.

I believe this may be @John next large project so raising priority to normal.

John moved this task from Backlog to MediaWiki on the Goal-2018-Jul-Dec board.Sep 21 2018, 15:27
AmandaCath lowered the priority of this task from Normal to Low.Oct 3 2018, 00:50

As all other ManageWiki tasks are low priority, I don’t see why this needs to be any different.

M.lange added a subscriber: M.lange.Oct 9 2018, 11:51
John closed this task as Resolved.Nov 27 2018, 21:42
John reopened this task as Open.Nov 27 2018, 21:48
John added a comment.Dec 25 2018, 21:24

https://github.com/miraheze/ManageWiki/compare/b9d7e88984669cf8c9ef8d9e1fd9e206c6ea3f02...9202f0756b18 shows a history compare of all the work that has gone into this.

It's nearly done, just a bit more testing + delete namespace ability as well as some helper functions to simplify stuff - should be ready for an end of 2018 release.

(for rough numbers; there's been over 800 lines of code written or changed for this change to be implement).

There will likely be a blog post coming out today capping the basics of the new function, a bit about it's impact on the ManageWiki project and preview to the function as well as a release date.

John closed this task as Resolved.Dec 30 2018, 17:33